Bug 64226 - [maintainer update] Update for x11-toolkits/gnocl
Summary: [maintainer update] Update for x11-toolkits/gnocl
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-03-13 17:40 UTC by Stephane Legrand
Modified: 2004-03-27 09:05 UTC (History)
0 users

See Also:


Attachments
file.diff (3.38 KB, patch)
2004-03-13 17:40 UTC, Stephane Legrand
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stephane Legrand freebsd_committer 2004-03-13 17:40:13 UTC
Update for x11-toolkits/gnocl  
Please note that there is a new file : files/patch-Makefile
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2004-03-14 03:28:15 UTC
State Changed
From-To: open->feedback

On a 4.9 system without GNOME installed, I get a compile error. 
Can the submitter confirm this? 

In file included from gnoclGnome.c:19: 
../gnocl.h:17: gtk/gtk.h: No such file or directory 
gnoclGnome.c:20: gconf/gconf.h: No such file or directory 
gnoclGnome.c:21: libgnome/libgnome.h: No such file or directory 
gnoclGnome.c:22: libgnomeui/libgnomeui.h: No such file or directory 
gmake[1]: *** [gnoclGnome.o] Error 1 

http://www.freebsd.org/cgi/query-pr.cgi?pr=64226 

Adding to audit trail:

I have received feedback from the maintainer that now gets past
the above problem.  But now I fail during the link step with:

/usr/libexec/elf/ld: cannot find -ltclstub
gmake: *** [gnocl.so] Error 1

Can the submitter confirm this new failure?

Comment 2 Stephane Legrand freebsd_committer 2004-03-22 21:34:22 UTC
On Mon, Mar 22, 2004 at 12:18:39PM -0600, Mark Linimon wrote:
> > Thanks for the output. Can you please try the new patch below ? It
> > seems the port needs gnomepanel and i forgot to include this
> > dependancy in my previous diff. I hope it will fix the build.
> 
> Here's what I have added to the PR audit trail:
> 
> Adding to audit trail:
> 
> I have received feedback from the maintainer that now gets past
> the above problem.  But now I fail during the link step with:
> 
> /usr/libexec/elf/ld: cannot find -ltclstub
> gmake: *** [gnocl.so] Error 1
> 
> Can the submitter confirm this new failure? 

Hi,

Can you please check that you have a files/patch-Makefile file ? I
can reproduce the problem if it doesn't exist. Please note that
this new file shoud be in the last patch i sent. I add this file
below if needed.


--- src/Makefile.orig	Fri Feb 13 18:08:35 2004
+++ src/Makefile	Fri Feb 13 18:08:59 2004
@@ -19,7 +19,7 @@
 export CFLAGS += -Wall -DVERSION=\"$(VERSION)\" -DGTK_DISABLE_DEPRECATED -DGNOME_DISABLE_DEPRECATED -DUSE_TCL_STUBS
 
 ADDCFLAGS += $(shell pkg-config --cflags gtk+-2.0)
-export TCL_VERSION := $(shell echo 'puts $$tcl_version' | tclsh)
+export TCL_VERSION := 84
 
 LIBS := $(shell pkg-config --libs gtk+-2.0) -ltclstub$(TCL_VERSION)
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2004-03-27 09:05:12 UTC
State Changed
From-To: feedback->closed

Committed, thanks.